petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmCreatePointPerCellCount

Count the number of points within all cells in the cell DM

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmCreatePointPerCellCount(DM dm,PetscInt *ncells,PetscInt **count)

Not collective

### Input parameter

dm -the DMSwarm

### Output parameters

| ncells | - the number of cells in the cell DM (optional argument, pass NULL to ignore)
| count | - array of length ncells containing the number of points per cell

### Notes

The array count is allocated internally and must be free'd by the user.

### See Also

DMSwarmSetType(), DMSwarmSetCellDM(), DMSwarmType

### Level

beginner

### Location

src/dm/impls/swarm/swarmpic.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages